--diode, to test the limiting algorithm
--bo hu, may 21, 2003
--univ. of wash.
--mixed signal cad research
--
package electrical_system is
	nature electrical is real across real through;
	terminal ground : electrical;
end electrical_system;

use electrical_system.all;

entity bmacdio is
	generic ( n : real := 5.0);
	port ( terminal pos, neg : electrical );
end bmacdio;

architecture arch1 of bmacdio is
	quantity volt across pos to neg;
	quantity curr through pos to neg;
begin
  MOSequations: procedural is
  begin -- procedural statements
    curr := 10.0e-10*(exp(volt/0.026)-1);
  end procedural;
end architecture arch1;
